# Generated by Django 2.2.6 on 2019-10-26 21:16

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0006_vistos_comic_cant'),
    ]

    operations = [
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField()),
                ('created_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('approved_comment', models.BooleanField(default=True)),
                ('comic', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Comic')),
                ('usuario', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.Usuario')),
            ],
        ),
        migrations.CreateModel(
            name='SubComment',
            fields=[
                ('comment_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='core.Comment')),
                ('comment', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='Subcomment', to='core.Comment')),
            ],
            options={
                'verbose_name': 'SubComment',
                'verbose_name_plural': 'SubComment',
            },
            bases=('core.comment',),
        ),
    ]
